System.Core 3.5.0.0 4.0.0.0 System.Object System.Collections.Generic.IEnumerable<System.Linq.IGrouping<TKey,TElement>> System.Linq.ILookup<TKey,TElement> To be added. To be added.

A resembles a . The difference is that a maps keys to single values, whereas a maps keys to collections of values.

You can create an instance of a by calling on an object that implements .

There is no public constructor to create a new instance of a . Additionally, objects are immutable, that is, you cannot add or remove elements or keys from a object after it has been created.

Represents a collection of keys each mapped to one or more values.

- Method
  3.5.0.0
  4.0.0.0
  System.Collections.Generic.IEnumerable<TResult> `` To be added. To be added. To be added. To be added. To be added.
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  3.5.0.0
  4.0.0.0
  System.Int32 To be added.

  The value of the property does not change because items cannot be added to or removed from a object after it has been created.

  Gets the number of key/value collection pairs in the .

- Method
  3.5.0.0
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.Linq.IGrouping<TKey,TElement>> To be added.

  Returns a generic enumerator that iterates through the .

  An enumerator for the .

- Property
  3.5.0.0
  4.0.0.0
  System.Collections.Generic.IEnumerable<TElement> `` To be added. To be added. To be added. To be added.
- Method
  3.5.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the . This class cannot be inherited.

  An enumerator for the .